@import 'variables';

.topContent {
    width: 100%;
    margin-bottom: 3%;

    .title {
        font-family: caramelcandy;
        text-align: center;
        // Responsive text size
        font-size: 4.5vh;
        margin-bottom: 2%;
        color: $dark;
    }
    .searchByContainer {
        margin-left: 40%;
    }
}

.favouriteItems {
    margin-bottom: 5%;
    margin-left: 10%;
    
    .items {
        .item {
            float: left;
            border: solid 1px $secondary-color;
            border-radius: 15px;
            height: 250px;
            padding: 3%;
            width: min-content;
            max-width: fit-content;
            // Para centrar la imagen y el título.
            text-align: center;
            margin: 0 2% 2% 0;
    
            .normalItems {
                max-width: 200px;
            }
        
            .itemImage {
                img {
                    width: 150px;
                    height: 150px;
                    // Esto se encargará de recortar la imagen para evitar que se deforme.
                    object-fit: cover;
                }
            }
    
            .heart {
                margin-top: 10%;
                cursor: pointer;
                .basic {
                    color: #ccc;
                }   
                .pinky {
                    color: $activeHeart;
                }         
            }
        }
    }
}